r7084 - in trunk/BOOK: . introduction/welcome pst/xml

randy at linuxfromscratch.org randy at linuxfromscratch.org
Sat Aug 18 13:01:45 PDT 2007


Author: randy
Date: 2007-08-18 14:01:45 -0600 (Sat, 18 Aug 2007)
New Revision: 7084

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/pst/xml/docbook-xsl.xml
Log:
Updated to DocBook XSL Stylesheets-1.71.1

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2007-08-18 19:13:04 UTC (rev 7083)
+++ trunk/BOOK/general.ent	2007-08-18 20:01:45 UTC (rev 7084)
@@ -704,7 +704,7 @@
 
 <!-- Chapter 45 -->
 <!ENTITY DocBook-version              "4.5">
-<!ENTITY docbook-xsl-version          "1.69.1">
+<!ENTITY docbook-xsl-version          "1.71.1">
 
 <!-- Chapter 46 -->
 <!ENTITY a2ps-version                 "4.13b">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2007-08-18 19:13:04 UTC (rev 7083)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2007-08-18 20:01:45 UTC (rev 7084)
@@ -45,6 +45,9 @@
       <para>August 18th, 2007</para>
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to DocBook XSL Stylesheets-1.71.1.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Added new package Libksba-1.0.2.</para>
         </listitem>
       </itemizedlist>

Modified: trunk/BOOK/pst/xml/docbook-xsl.xml
===================================================================
--- trunk/BOOK/pst/xml/docbook-xsl.xml	2007-08-18 19:13:04 UTC (rev 7083)
+++ trunk/BOOK/pst/xml/docbook-xsl.xml	2007-08-18 20:01:45 UTC (rev 7084)
@@ -4,26 +4,16 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-    <!-- Inserted as a reminder to do this. The mention of a test suite
-         is usually right before the root user installation commands. Please
-         delete these 12 (including one blank) lines after you are done.-->
-
-    <!-- Use one of the two mentions below about a test suite,
-         delete the line that is not applicable. Of course, if the
-         test suite uses syntax other than "make check", revise the
-         line to reflect the actual syntax to run the test suite -->
-
-    <!-- <para>This package does not come with a test suite.</para> -->
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
-
   <!ENTITY docbook-xsl-download-http "http://downloads.sourceforge.net/docbook/docbook-xsl-&docbook-xsl-version;.tar.bz2">
   <!ENTITY docbook-xsl-download-ftp  " ">
-  <!ENTITY docbook-xsl-md5sum        "6ebd29a67f2dcc3f2220f475ee6f6552">
-  <!ENTITY docbook-xsl-size          "1.0 MB">
-  <!ENTITY docbook-xsl-buildsize     "35.9 MB (includes installing optional documentation)">
+  <!ENTITY docbook-xsl-md5sum        "6a269abc854ae949b2cfd6377bc17fde">
+  <!ENTITY docbook-xsl-size          "1.4 MB">
+  <!ENTITY docbook-xsl-buildsize     "40 MB (includes installing optional documentation)">
   <!ENTITY docbook-xsl-time          "less than 0.1 SBU">
 
   <!ENTITY docbook-xsl-doc-download  "http://downloads.sourceforge.net/docbook/docbook-xsl-doc-&docbook-xsl-version;.tar.bz2">
+  <!ENTITY docbook-xsl-doc-md5sum    "f7844a751a4612c56acddc0790fbc501">
+  <!ENTITY docbook-xsl-doc-size      "1.3 MB">
 ]>
 
 <sect1 id="docbook-xsl"
@@ -77,6 +67,12 @@
         <para>Optional documentation: <ulink
         url="&docbook-xsl-doc-download;"/></para>
       </listitem>
+      <listitem>
+        <para>Download MD5 sum: &docbook-xsl-doc-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &docbook-xsl-doc-size;</para>
+      </listitem>
     </itemizedlist>
 
     <bridgehead renderas="sect3">DocBook XSL Stylesheets Dependencies</bridgehead>
@@ -94,24 +90,33 @@
 
     <para>If you downloaded the optional documentation tarball, unpack it
     when you unpack the source tarball. The documentation tarball unpacks into
-    subdirectories of the source tree.</para>
+    a <filename class='directory'>doc</filename> subdirectory of the source
+    tree.</para>
 
+    <para>BLFS does not install the required packages to run the test suite
+    and provide meaningful results.</para>
+
     <para>Install <application>DocBook XSL Stylesheets</application>
     by running the following commands as the
     <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>install -v -m755 -d /usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version; &&
-cp -v -R VERSION common eclipse extensions fo html \
-         htmlhelp images javahelp lib manpages params \
-         profiling slides template website xhtml \
-    /usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version;</userinput></screen>
 
+cp -v -R VERSION common eclipse extensions fo highlighting html \
+         htmlhelp images javahelp lib manpages params profiling \
+         slides template tools website wordml xhtml             \
+    /usr/share/xml/docbook/xsl-stylesheets-&docbook-xsl-version; &&
+
+install -v -m644 -D README \
+                    /usr/share/doc/docbook-xsl-&docbook-xsl-version;/README.XSL &&
+install -v -m755    RELEASE-NOTES* NEWS* \
+                    /usr/share/doc/&docbook-xsl-version;</userinput></screen>
+
     <para>If you downloaded the optional documentation tarball, install the
-    documentation by issuing the following commands as the
+    documentation by issuing the following command as the
     <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/docbook-xsl-&docbook-xsl-version; &&
-cp -v -R doc/* /usr/share/doc/docbook-xsl-&docbook-xsl-version;</userinput></screen>
+<screen role="root"><userinput>cp -v -R doc/* /usr/share/doc/docbook-xsl-&docbook-xsl-version;</userinput></screen>
 
   </sect2>
 
@@ -163,7 +168,7 @@
 
       <para>Occasionally, you may find the need to install other versions of
       the XSL stylesheets as some projects reference a specific version. One
-      example is BLFS-6.0, which needs the 1.67.2 version. In these instances
+      example is BLFS-6.0, which required the 1.67.2 version. In these instances
       you should install any other required version in its own versioned
       directory and create catalog entries as follows (substitute the desired
       version number for <replaceable><version></replaceable>):</para>




More information about the blfs-book mailing list